Subject: Re: WARNING: at net/ipv4/af_inet.c:155 inet_sock_destruct+0x122/0x13a()

From: John Dykstra <[email-masked]>
Date: Thu, 13 Aug 2009 15:21:45 +0000

On Wed, 2009-08-12 at 16:00 -0400, Vlad Yasevich wrote:
> BTW, I've seen the same issue in 2.6.28 and 2.6.29 while doing a bunch
> of NFS-over-UDP testing.  I've seen the issue reported in 2.6.27 as well,
> but it went by ignored.  It's not easy to reproduce as it seems like it
> requires quite a bit traffic over over multiple interfaces.

I've been unable to reproduce it so far.  Has bonding always been
present in the cases you've seen, or are multiple independent interfaces
sufficient?

In the case you reported initially, openvpn was using UDP, but the peer
was dead, so there presumably wasn't much traffic from that app.  Was
there lots of NFS-over-UDP traffic also going on?

Where was the independent report on 2.6.27?

  --  John